package com.muyu.cloud.mart.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.Connector;
import org.springframework.web.multipart.MultipartFile;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.cloud.mart.service
 * @Project：cloud-mart
 * @name：ConnectorService
 * @Date：2024/8/26 10:23
 */
public interface ConnectorService extends IService<Connector> {

    Result findConnectorList(Connector connector);

    Result updateConnector(Connector connector);

    Result addConnector(Connector connector);

    Result getDeleteConnector(Long connectorId);

//    Result upload(MultipartFile file);
}
